
package de.ivu.elect.presentation.exchange;

import java.io.FileNotFoundException;
import java.util.List;

import org.primefaces.event.FileUploadEvent;
import org.primefaces.model.StreamedContent;

import de.ivu.elect.business.datei.entity.DateiImport;

public interface ImportView {

  List<DateiImport> getSearchResult();

  DateiImport getSelectedEntity();

  void setSelectedEntity(DateiImport dateiImport);

  String registrieren();

  String importieren();

  String loeschen();

  boolean isImportReportViewRendered();

  boolean isCsvPreviewRendered();

  boolean isCsvKonfiguraionRendered();

  String getAllowedTypes();

  void handleFileUpload(FileUploadEvent event);

  StreamedContent getDownload() throws FileNotFoundException;
}
